<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ShoppingBasketItems StructType
 * @subpackage Structs
 */
class JP_ShoppingBasketItems extends AbstractStructBase
{
    /**
     * The Items
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString
     */
    public $Items;
    /**
     * Constructor method for JP_ShoppingBasketItems
     * @uses JP_ShoppingBasketItems::setItems()
     * @param \ArrayType\ArrayOfString $items
     */
    public function __construct(\ArrayType\ArrayOfString $items = null)
    {
        $this
            ->setItems($items);
    }
    /**
     * Get Items value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getItems()
    {
        return $this->Items;
    }
    /**
     * Set Items value
     * @param \ArrayType\ArrayOfString $items
     * @return \StructType\JP_ShoppingBasketItems
     */
    public function setItems(\ArrayType\ArrayOfString $items = null)
    {
        $this->Items = $items;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ShoppingBasketItems
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
